Package org.apache.sling.scripting.sightly.impl.engine.runtime

# Class SlingRuntimeObjectModel

java.lang.Object
org.apache.sling.scripting.sightly.render.AbstractRuntimeObjectModel
org.apache.sling.scripting.sightly.impl.engine.runtime.SlingRuntimeObjectModel

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.render.RuntimeObjectModel`

public class SlingRuntimeObjectModel extends org.apache.sling.scripting.sightly.render.AbstractRuntimeObjectModel

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getProperty(Object target, Object propertyObj)`
`boolean`
`toBoolean(Object object)`

### Methods inherited from class org.apache.sling.scripting.sightly.render.AbstractRuntimeObjectModel

`isCollection, isDate, isNumber, isPrimitive, resolveProperty, toCollection, toDate, toInstant, toMap, toNumber, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toBoolean

public boolean toBoolean(Object object)

Specified by:
  `toBoolean` in interface `org.apache.sling.scripting.sightly.render.RuntimeObjectModel`
Overrides:
  `toBoolean` in class `org.apache.sling.scripting.sightly.render.AbstractRuntimeObjectModel`

### getProperty

protected Object getProperty(Object target, Object propertyObj)

Overrides:
  `getProperty` in class `org.apache.sling.scripting.sightly.render.AbstractRuntimeObjectModel`